Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573996 - Unable to access the Help Documentation page due to "Authorization Error"
Summary: Unable to access the Help Documentation page due to "Authorization Error"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Landon LaSmith
URL:
Whiteboard: webui
Depends On:
Blocks: 1575713 1575714
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:21 UTC by Landon LaSmith
Modified: 2019-08-22 00:54 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1575713 1575714 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:04:00 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of the error page (48.87 KB, image/png)
2018-05-02 16:21 UTC, Landon LaSmith
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1569170 0 high CLOSED Help Documentation is only visible to users with super admin role 2021-02-22 00:41:40 UTC

Internal Links: 1569170

Description Landon LaSmith 2018-05-02 16:21:30 UTC
Created attachment 1430183 [details]
Screenshot of the error page

Description of problem: A user with access to Help->Documentation is unable to access the documentation page. When navigating to the page, it transitions to a page that states "Authorization Error


Version: 5.9.2.4


How reproducible: 100%


Steps to Reproduce:
1. Login as admin (or any user with product feature Help->Documentation enabled)
2. On the Help dropdown select Documentation
3.

Actual results: The documentation page reports "Authorization Error" and has an error message stating "The user is not authorized fro this task or item."


Expected results: The returned page contains links to CFME documentation

Comment 5 Landon LaSmith 2018-07-12 16:07:20 UTC
VERIFIED in 5.10.0.3. A user with access to Help->Documentation via the default and custom roles was able to access the PDF docs for each topic


Note You need to log in before you can comment on or make changes to this bug.